Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.spi.event
Interface KernelEventFilter

public interface KernelEventFilter

A filter

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Method Summary
`boolean` | `wantEvent(KernelEvent event, Object handback)` Invoked when an event occurs

Method Detail

### wantEvent

    public boolean wantEvent(KernelEvent event,
                             Object handback)

  Invoked when an event occurs

  Parameters:
    `event` - the event
    `handback` - the handback
  Returns:
    true to fire the event, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.